"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CountPendingActivityTasks_1 = require("../model/operations/CountPendingActivityTasks");
class CountPendingActivityTasksCommand {
    constructor(input) {
        this.input = input;
        this.model = CountPendingActivityTasks_1.CountPendingActivityTasks;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CountPendingActivityTasksCommand = CountPendingActivityTasksCommand;
//# sourceMappingURL=CountPendingActivityTasksCommand.js.map