"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeprecateActivityType_1 = require("../model/operations/DeprecateActivityType");
class DeprecateActivityTypeCommand {
    constructor(input) {
        this.input = input;
        this.model = DeprecateActivityType_1.DeprecateActivityType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeprecateActivityTypeCommand = DeprecateActivityTypeCommand;
//# sourceMappingURL=DeprecateActivityTypeCommand.js.map