"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeprecateDomain_1 = require("../model/operations/DeprecateDomain");
class DeprecateDomainCommand {
    constructor(input) {
        this.input = input;
        this.model = DeprecateDomain_1.DeprecateDomain;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeprecateDomainCommand = DeprecateDomainCommand;
//# sourceMappingURL=DeprecateDomainCommand.js.map