"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeprecateWorkflowType_1 = require("../model/operations/DeprecateWorkflowType");
class DeprecateWorkflowTypeCommand {
    constructor(input) {
        this.input = input;
        this.model = DeprecateWorkflowType_1.DeprecateWorkflowType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeprecateWorkflowTypeCommand = DeprecateWorkflowTypeCommand;
//# sourceMappingURL=DeprecateWorkflowTypeCommand.js.map