"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeDomain_1 = require("../model/operations/DescribeDomain");
class DescribeDomainCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeDomain_1.DescribeDomain;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeDomainCommand = DescribeDomainCommand;
//# sourceMappingURL=DescribeDomainCommand.js.map