"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RegisterActivityType_1 = require("../model/operations/RegisterActivityType");
class RegisterActivityTypeCommand {
    constructor(input) {
        this.input = input;
        this.model = RegisterActivityType_1.RegisterActivityType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RegisterActivityTypeCommand = RegisterActivityTypeCommand;
//# sourceMappingURL=RegisterActivityTypeCommand.js.map