"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const TerminateWorkflowExecution_1 = require("../model/operations/TerminateWorkflowExecution");
class TerminateWorkflowExecutionCommand {
    constructor(input) {
        this.input = input;
        this.model = TerminateWorkflowExecution_1.TerminateWorkflowExecution;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.TerminateWorkflowExecutionCommand = TerminateWorkflowExecutionCommand;
//# sourceMappingURL=TerminateWorkflowExecutionCommand.js.map