"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UndeprecateWorkflowType_1 = require("../model/operations/UndeprecateWorkflowType");
class UndeprecateWorkflowTypeCommand {
    constructor(input) {
        this.input = input;
        this.model = UndeprecateWorkflowType_1.UndeprecateWorkflowType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UndeprecateWorkflowTypeCommand = UndeprecateWorkflowTypeCommand;
//# sourceMappingURL=UndeprecateWorkflowTypeCommand.js.map