"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PollForDecisionTaskInput_1 = require("../shapes/PollForDecisionTaskInput");
const PollForDecisionTaskOutput_1 = require("../shapes/PollForDecisionTaskOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const LimitExceededFault_1 = require("../shapes/LimitExceededFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.PollForDecisionTask = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PollForDecisionTask",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PollForDecisionTaskInput_1.PollForDecisionTaskInput
    },
    output: {
        shape: PollForDecisionTaskOutput_1.PollForDecisionTaskOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        },
        {
            shape: LimitExceededFault_1.LimitExceededFault
        }
    ]
};
//# sourceMappingURL=PollForDecisionTask.js.map