"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RequestCancelWorkflowExecutionInput_1 = require("../shapes/RequestCancelWorkflowExecutionInput");
const RequestCancelWorkflowExecutionOutput_1 = require("../shapes/RequestCancelWorkflowExecutionOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RequestCancelWorkflowExecution = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RequestCancelWorkflowExecution",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RequestCancelWorkflowExecutionInput_1.RequestCancelWorkflowExecutionInput
    },
    output: {
        shape: RequestCancelWorkflowExecutionOutput_1.RequestCancelWorkflowExecutionOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=RequestCancelWorkflowExecution.js.map