"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const TagResourceInput_1 = require("../shapes/TagResourceInput");
const TagResourceOutput_1 = require("../shapes/TagResourceOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const TooManyTagsFault_1 = require("../shapes/TooManyTagsFault");
const LimitExceededFault_1 = require("../shapes/LimitExceededFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.TagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TagResourceInput_1.TagResourceInput
    },
    output: {
        shape: TagResourceOutput_1.TagResourceOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: TooManyTagsFault_1.TooManyTagsFault
        },
        {
            shape: LimitExceededFault_1.LimitExceededFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=TagResource.js.map