"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const TerminateWorkflowExecutionInput_1 = require("../shapes/TerminateWorkflowExecutionInput");
const TerminateWorkflowExecutionOutput_1 = require("../shapes/TerminateWorkflowExecutionOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.TerminateWorkflowExecution = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TerminateWorkflowExecution",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TerminateWorkflowExecutionInput_1.TerminateWorkflowExecutionInput
    },
    output: {
        shape: TerminateWorkflowExecutionOutput_1.TerminateWorkflowExecutionOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=TerminateWorkflowExecution.js.map